DefaultLoaderRepository (Java SE 26 & JDK 26)
Description: declaration: module: java.management, package: javax.management, class: DefaultLoaderRepository
Keywords: javax.management.DefaultLoaderRepository class

# Class DefaultLoaderRepository

java.lang.Object
javax.management.DefaultLoaderRepository

@Deprecated public class DefaultLoaderRepository extends Object
Deprecated.
Use `MBeanServer.getClassLoaderRepository()` instead.

Keeps the list of Class Loaders registered in the MBean Server. It provides the necessary methods to load classes using the registered Class Loaders.

This deprecated class is maintained for compatibility. In previous versions of the JMX API, there was one `DefaultLoaderRepository` shared by all MBean servers. As of version 1.2 of the JMX API, that functionality is approximated by using `MBeanServerFactory.findMBeanServer(String)` to find all known MBean servers, and consulting the `ClassLoaderRepository` of each one. It is strongly recommended that code referencing `DefaultLoaderRepository` be rewritten.

Since:
  1.5

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultLoaderRepository()`
  Deprecated.
  Constructs an `DefaultLoaderRepository`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Class<?>`
  `loadClass(String className)`
  Deprecated.
  Go through the list of class loaders and try to load the requested class.
  `static Class<?>`
  `loadClassWithout(ClassLoader loader, String className)`
  Deprecated.
  Go through the list of class loaders but exclude the given class loader, then try to load the requested class.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DefaultLoaderRepository

    public DefaultLoaderRepository()
    Deprecated.
    Constructs an `DefaultLoaderRepository`.

- ## Method Details

  - ### loadClass

    public static Class<?> loadClass(String className) throws ClassNotFoundException
    Deprecated.
    Go through the list of class loaders and try to load the requested class. The method will stop as soon as the class is found. If the class is not found the method will throw a `ClassNotFoundException` exception.
    Parameters:
      `className` - The name of the class to be loaded.
    Returns:
      the loaded class.
    Throws:
      `ClassNotFoundException` - The specified class could not be found.

  - ### loadClassWithout

    public static Class<?> loadClassWithout(ClassLoader loader, String className) throws ClassNotFoundException
    Deprecated.
    Go through the list of class loaders but exclude the given class loader, then try to load the requested class. The method will stop as soon as the class is found. If the class is not found the method will throw a `ClassNotFoundException` exception.
    Parameters:
      `loader` - The class loader to be excluded.
      `className` - The name of the class to be loaded.
    Returns:
      the loaded class.
    Throws:
      `ClassNotFoundException` - The specified class could not be found.